package com.huangge1199.dao;

import com.huangge1199.domain.BiTableColumn;
import com.huangge1199.vo.TableVo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * BiTableColumnDao
 *
 * @author huangge1199
 * @since 2025/3/28 8:41:46
 */
public interface BiTableColumnDao extends JpaRepository<BiTableColumn, Integer> {

    @Query("SELECT DISTINCT NEW com.huangge1199.vo.TableVo(tableName, tableNameCn, schema) FROM BiTableColumn")
    List<TableVo> getTablesInfo();
}
