package com.huangge1199.domain;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.util.Date;

@Data
@Entity
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "MBGK_TABLE_COLUMN")
public class BiTableColumn {

    @Id
    @Column(name = "ID")
    private String id;

    @Column(name = "TABLE_NAME")
    private String tableName;

    @Column(name = "TABLE_NAME_CN")
    private String tableNameCn;

    @Column(name = "COLUMN_NAME")
    private String columnName;

    @Column(name = "COLUMN_NAME_CN")
    private String columnNameCn;

    @Column(name = "COLNUMN_TYPE")
    private String colnumnType;

    @Column(name = "SCHEMA")
    private String schema;

    @Column(name = "DATA_SOURCE")
    private String dataSource;

    @Column(name = "IS_DELETE")
    private String isDelete;

    @Column(name = "IS_PRIMARY")
    private String isPrimary;

    @Column(name = "CREATE_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Column(name = "UPDATE_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @Column(name = "OP")
    private String op;

}
