package com.huangge1199.service;

import com.huangge1199.domain.UserTabComments;

import java.util.List;
import java.util.Map;

/**
 * IDatabaseService
 *
 * @author huangge1199
 * @since 2025/3/12 10:19:54
 */
public interface IDatabaseService {
    List<UserTabComments> listAllTable();

    List<UserTabComments> listColByTable(String tableName);

    List<Map<String,String>> executeQuery(String sql);

    double evaluate(String expression) throws Exception;
}
